Subject: bug#67393: 29.1; Slow to open file if autosave exists

From: Eli Zaretskii <[email-masked]>
Date: Sun, 24 Dec 2023 21:28:03 +0200

> From: Ihor Radchenko <[email-masked]>
> Cc: Juri Linkov <[email-masked]>, [email-masked],
>  [email-masked], [email-masked]
> Date: Sun, 24 Dec 2023 19:03:00 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> It would be nicer to prepend this error message to any last displayed
> >> message during these 5 seconds.
> >
> > We don't really know whether doing that will be effective.  Given N
> > lines of messages in the echo-area, what are the chances that the user
> > will see all of them, or even the most important one(s)?
> 
> AFAIU, the only difference is that `sit-for' will block Emacs, while the
> proposed multiline echo will not. Is absence of blocking what you are
> concerned about?

No, I'm concerned with the span of user's attention when presented
with multiple unrelated messages in several lines.

> As an alternative idea, important messages may have an option to be
> accumulated forever, until explicitly dismissed. Just like
> (notifications-notify :title "Very important message" :timeout 0)

How is this better than waiting for a second?

> do you have something specific in mind about collecting the
> experience?

Use them for some unimportant messages until we have enough experience
and can make intelligent decisions.